execute as @e[tag=x] if entity @a[team=Lobby,limit=1]
effect give @a[team=Lobby] weakness 9999 255 true

execute as @a[tag=!spawn] run teleport -19 12 43
gamemode adventure @a[tag=!spawn]
clear @a[tag=!spawn]
execute as @a[tag=!spawn] run advancement revoke @s everything
execute as @a[tag=!spawn] run advancement grant @s only main:general/root
tag @a add spawn

effect give @a saturation 420 255 true
effect give @a instant_health 420 255 true
effect give @a fire_resistance 9999 255 true
effect give @a water_breathing 9999 255 true
effect give @a night_vision 9999 0 true
execute as @a at @s if block ~ ~-1 ~ air run effect give @s jump_boost 1 255 true
effect give @e[type=villager,name=pearlreg] minecraft:invisibility 1000000 0 true

# INFOTIMER

scoreboard players add @e[scores={infoTimer=..100},tag=x] infoTimer 1
execute as @e[tag=x,scores={infoTimer=100..}] run scoreboard players add @s infoPU 1
execute as @e[tag=x,scores={infoPU=5..}] run scoreboard players set @s infoPU 1
execute as @e[tag=x,scores={infoTimer=100..}] run function main:info_pages2
scoreboard players set @e[scores={infoTimer=100..},tag=x] infoTimer 0


# ClICK INFO 

execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run execute as @e[type=minecraft:villager,tag=infoclick,limit=1,sort=nearest,distance=..5] run scoreboard players add @e[tag=x] infoPage 1



scoreboard players set @e[tag=x,scores={infoPage=4..}] infoPage 0
execute as @e[tag=x] if entity @a[scores={sel1=1..}] run function main:info_pages

#secret




# jointeam
scoreboard players enable @a join

execute as @a[team=!Hider,scores={join=2}] run tag @s add inteam1
execute as @a[scores={join=2},tag=inteam1] run team join Hider @s
execute as @a[scores={join=2},tag=inteam1] run tellraw @a ["",{"text":"- ","color":"yellow"},{"selector":"@a[scores={join=2},tag=inteam1]","color":"blue"},{"text":" joined team ","color":"yellow"},{"text":"Hider","color":"blue","bold":true}]
execute as @a[scores={join=2},tag=inteam1] at @s run playsound block.note_block.xylophone master @a ~ ~ ~ 1 0 1
execute as @a[scores={join=2},tag=inteam1] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.8 1
execute as @a[scores={join=2},tag=inteam1] at @s run playsound block.note_block.chime master @a ~ ~ ~ 1 1.9 1
tag @a[scores={join=2},tag=inteam1] remove inteam1
execute as @a[scores={join=2}] run scoreboard players set @s join 0

execute as @a[team=!Seeker,scores={join=1}] run tag @s add inteam1
execute as @a[scores={join=1},tag=inteam1] run team join Seeker @s
execute as @a[scores={join=1},tag=inteam1] run tellraw @a ["",{"text":"- ","color":"yellow"},{"selector":"@a[scores={join=1},tag=inteam1]","color":"blue"},{"text":" joined team ","color":"yellow"},{"text":"Seeker","color":"red","bold":true}]
execute as @a[scores={join=1},tag=inteam1] at @s run playsound block.note_block.xylophone master @a ~ ~ ~ 1 0 1
execute as @a[scores={join=1},tag=inteam1] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.8 1
execute as @a[scores={join=1},tag=inteam1] at @s run playsound block.note_block.chime master @a ~ ~ ~ 1 1.9 1
tag @a[scores={join=1},tag=inteam1] remove inteam1
execute as @a[scores={join=1}] run scoreboard players set @s join 0





# TIMER 
execute as @e[tag=inGame] as @e[scores={timer=20..},tag=x] run scoreboard players remove @e[tag=x] seconds 1
execute as @e[scores={timer=20..},tag=x] run scoreboard players set @e[tag=x] timer 0
scoreboard players add @e[tag=x] timer 1
execute as @e[tag=inGame] run scoreboard players add @e[tag=x] start 1

#start commands
execute as @e[tag=x,tag=inGame] at @s run function main:ingame

# CREDITS TWITTER
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter1,tag=twitterR] run data merge entity @s {ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{SkullOwner:"iWacky"}}],HandItems:[{},{}],CustomName:"{\"text\":\"iWacky\",\"color\":\"yellow\",\"bold\":true}"}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter2,tag=twitterR] run data merge entity @s {ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{SkullOwner:"ALEX_CY"}}],HandItems:[{},{}],CustomName:"{\"text\":\"ALEX_CY\",\"color\":\"yellow\",\"bold\":true}"}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter3,tag=twitterR] run data merge entity @s {ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{SkullOwner:"It5meSam"}}],HandItems:[{},{}],CustomName:"{\"text\":\"It5meSam\",\"color\":\"yellow\",\"bold\":true}"}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter1,tag=twitterR] run data merge entity @e[type=area_effect_cloud,limit=1,tag=twitterTEXT1] {CustomNameVisible:0b}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter2,tag=twitterR] run data merge entity @e[type=area_effect_cloud,limit=1,tag=twitterTEXT2] {CustomNameVisible:0b}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter3,tag=twitterR] run data merge entity @e[type=area_effect_cloud,limit=1,tag=twitterTEXT3] {CustomNameVisible:0b}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitterR] run tag @s remove twitterR

execute as @a at @s positioned ^ ^ ^4 run tag @e[type=minecraft:armor_stand,tag=credits2,limit=1,sort=nearest,distance=..0.5] add twitterSHOW
execute as @a at @s positioned ^ ^ ^3.5 run tag @e[type=minecraft:armor_stand,tag=credits2,limit=1,sort=nearest,distance=..0.5] add twitterSHOW
execute as @a at @s positioned ^ ^ ^3 run tag @e[type=minecraft:armor_stand,tag=credits2,limit=1,sort=nearest,distance=..0.5] add twitterSHOW
execute as @a at @s positioned ^ ^ ^2.5 run tag @e[type=minecraft:armor_stand,tag=credits2,limit=1,sort=nearest,distance=..0.5] add twitterSHOW
execute as @a at @s positioned ^ ^ ^2 run tag @e[type=minecraft:armor_stand,tag=credits2,limit=1,sort=nearest,distance=..0.5] add twitterSHOW
execute as @a at @s positioned ^ ^ ^1.5 run tag @e[type=minecraft:armor_stand,tag=credits2,limit=1,sort=nearest,distance=..0.5] add twitterSHOW

execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter1,tag=twitterSHOW] run data merge entity @s {ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"d6f338dc-6fd8-4ad2-9abc-2707727cf2a8",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2M3NDVhMDZmNTM3YWVhODA1MDU1NTkxNDllYTE2YmQ0YTg0ZDQ0OTFmMTIyMjY4MThjMzg4MWMwOGU4NjBmYyJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"@iWackyMinecraft\",\"color\":\"aqua\",\"bold\":true}"}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter2,tag=twitterSHOW] run data merge entity @s {ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"d6f338dc-6fd8-4ad2-9abc-2707727cf2a8",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2M3NDVhMDZmNTM3YWVhODA1MDU1NTkxNDllYTE2YmQ0YTg0ZDQ0OTFmMTIyMjY4MThjMzg4MWMwOGU4NjBmYyJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"@alexandros_kpr \",\"color\":\"aqua\",\"bold\":true}"}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter3,tag=twitterSHOW] run data merge entity @s {ArmorItems:[{},{},{},{id:"player_head",Count:1b,tag:{SkullOwner:{Id:"d6f338dc-6fd8-4ad2-9abc-2707727cf2a8",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2M3NDVhMDZmNTM3YWVhODA1MDU1NTkxNDllYTE2YmQ0YTg0ZDQ0OTFmMTIyMjY4MThjMzg4MWMwOGU4NjBmYyJ9fX0="}]}}}}],HandItems:[{},{}],CustomName:"{\"text\":\"@It5meSam\",\"color\":\"aqua\",\"bold\":true}"}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter1,tag=twitterSHOW] run data merge entity @e[type=area_effect_cloud,limit=1,tag=twitterTEXT1] {CustomNameVisible:1b}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter2,tag=twitterSHOW] run data merge entity @e[type=area_effect_cloud,limit=1,tag=twitterTEXT2] {CustomNameVisible:1b}
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitter3,tag=twitterSHOW] run data merge entity @e[type=area_effect_cloud,limit=1,tag=twitterTEXT3] {CustomNameVisible:1b}
execute as @e[type=minecraft:armor_stand,tag=twitter1,tag=twitterSHOW] if entity @e[type=minecraft:armor_stand,tag=twitter2,tag=twitterSHOW] if entity @e[type=minecraft:armor_stand,tag=twitter3,tag=twitterSHOW] run advancement grant @a only main:general/twitter

execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitterSHOW] run tag @s add twitterR
execute as @e[type=minecraft:armor_stand,tag=credits2,tag=twitterSHOW] run tag @s remove twitterSHOW





#end
execute as @e[tag=x,tag=end] at @s run function main:end

#teams
team add Lobby
team join Lobby @a[team=]
team modify Lobby friendlyFire false
team modify Lobby nametagVisibility always
team modify Lobby collisionRule never
team modify Lobby seeFriendlyInvisibles false

team add Hider
team modify Hider nametagVisibility never
team modify Hider friendlyFire false
team modify Hider collisionRule never
team modify Hider color blue
team modify Hider seeFriendlyInvisibles false

team add Seeker
team modify Seeker nametagVisibility always
team modify Hider friendlyFire false
team modify Seeker collisionRule never
team modify Seeker color red
team modify Seeker seeFriendlyInvisibles false

#particle pu1..3b
execute as @e[tag=pu1b] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=pu1b] at @s run particle minecraft:witch ^ ^0.1 ^0.7 0 0 0 0 1
execute as @e[tag=pu1b] at @s run particle minecraft:witch ^ ^0.1 ^-0.7 0 0 0 0 1
# -- spawn

execute as @e[tag=PUlocation,limit=1,tag=spawnPU1] at @s run tag @s add usedLocation
execute as @e[tag=PUlocation,limit=1,tag=spawnPU1] at @s run tag @s add type1
execute as @e[tag=PUlocation,limit=1,tag=spawnPU1] at @s run summon armor_stand ~ ~-1.68 ~ {NoGravity:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Tags:["pu1","pudeco"],Pose:{Head:[90f,0f,0f]},DisabledSlots:4144959,Rotation:[0F,0F],ArmorItems:[{},{},{},{id:"minecraft:firework_rocket",Count:1b}]}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU1] at @s run execute as @e[type=armor_stand,tag=pu1,distance=..3] at @s run summon armor_stand ~ ~1.68 ~ {Tags:["pu1b"],Invisible:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Marker:1b,CustomName:"{\"text\":\"FIREWORK\",\"color\":\"yellow\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:1974047}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU1] at @s run tag @s add spawnPUALL

execute as @e[tag=PUlocation,limit=1,tag=spawnPU2] at @s run tag @s add usedLocation
execute as @e[tag=PUlocation,limit=1,tag=spawnPU2] at @s run tag @s add type2
execute as @e[tag=PUlocation,limit=1,tag=spawnPU2] at @s run summon armor_stand ~ ~-1.68 ~ {NoGravity:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Tags:["pu2","pudeco"],Pose:{Head:[90f,0f,0f]},DisabledSlots:4144959,Rotation:[0F,0F],ArmorItems:[{},{},{},{id:"minecraft:potion",Count:1b}]}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU2] at @s run execute as @e[type=armor_stand,tag=pu2,distance=..3] at @s run summon armor_stand ~ ~1.68 ~ {Tags:["pu1b"],Invisible:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Marker:1b,CustomName:"{\"text\":\"INVISIBILITY\",\"color\":\"yellow\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:1974047}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU2] at @s run tag @s add spawnPUALL

execute as @e[tag=PUlocation,limit=1,tag=spawnPU3] at @s run tag @s add usedLocation
execute as @e[tag=PUlocation,limit=1,tag=spawnPU3] at @s run tag @s add type3
execute as @e[tag=PUlocation,limit=1,tag=spawnPU3] at @s run summon armor_stand ~ ~-1.68 ~ {NoGravity:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Tags:["pu3","pudeco"],Pose:{Head:[90f,0f,0f]},DisabledSlots:4144959,Rotation:[0F,0F],ArmorItems:[{},{},{},{id:"minecraft:bow",Count:1b}]}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU3] at @s run execute as @e[type=armor_stand,tag=pu3,distance=..3] at @s run summon armor_stand ~ ~1.68 ~ {Tags:["pu1b"],Invisible:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Marker:1b,CustomName:"{\"text\":\"PUNCH BOW\",\"color\":\"yellow\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:1974047}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU3] at @s run tag @s add spawnPUALL

execute as @e[tag=PUlocation,limit=1,tag=spawnPU4] at @s run tag @s add usedLocation
execute as @e[tag=PUlocation,limit=1,tag=spawnPU4] at @s run tag @s add type4
execute as @e[tag=PUlocation,limit=1,tag=spawnPU4] at @s run summon armor_stand ~ ~-1.68 ~ {NoGravity:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Tags:["pu4","pudeco"],Pose:{Head:[90f,0f,0f]},DisabledSlots:4144959,Rotation:[0F,0F],ArmorItems:[{},{},{},{id:"minecraft:golden_boots",Count:1b}]}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU4] at @s run execute as @e[type=armor_stand,tag=pu4,distance=..3] at @s run summon armor_stand ~ ~1.68 ~ {Tags:["pu1b"],Invisible:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Marker:1b,CustomName:"{\"text\":\"SPEED\",\"color\":\"yellow\",\"bold\":\"true\"}",CustomNameVisible:1b,DisabledSlots:1974047}
execute as @e[tag=PUlocation,limit=1,tag=spawnPU4] at @s run tag @s add spawnPUALL


execute as @e[tag=PUlocation,limit=1,tag=spawnPUALL] at @s run execute as @e[tag=PUrotation,limit=1,sort=random] at @s run setblock ~ ~ ~ minecraft:redstone_block



#boostpad
execute at @a as @a[gamemode=!spectator,limit=1,sort=nearest,distance=..1] at @e[tag=testboost1,limit=1,sort=nearest,distance=..1] run tag @s add boost
execute at @a as @a[gamemode=!spectator,limit=1,sort=nearest,distance=..1] at @e[tag=testboost2,limit=1,sort=nearest,distance=..1] run tag @s add boost
execute at @a as @a[gamemode=!spectator,limit=1,sort=nearest,distance=..1] at @e[tag=testboost3,limit=1,sort=nearest,distance=..1] run tag @s add boost
execute at @a as @a[gamemode=!spectator,limit=1,sort=nearest,distance=..1] at @e[tag=testboost1,limit=1,sort=nearest,distance=..1] run tag @s add boost1
execute at @a as @a[gamemode=!spectator,limit=1,sort=nearest,distance=..1] at @e[tag=testboost2,limit=1,sort=nearest,distance=..1] run tag @s add boost2
execute at @a as @a[gamemode=!spectator,limit=1,sort=nearest,distance=..1] at @e[tag=testboost3,limit=1,sort=nearest,distance=..1] run tag @s add boost3
execute as @e[tag=testboost1] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=testboost2] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=testboost3] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=testboost1] at @s run particle minecraft:witch ^ ^0.1 ^0.7 0 0 0 0 1
execute as @e[tag=testboost1] at @s run particle minecraft:witch ^ ^0.1 ^-0.7 0 0 0 0 1
execute as @e[tag=testboost2] at @s run particle minecraft:witch ^ ^0.1 ^0.7 0 0 0 0 1
execute as @e[tag=testboost2] at @s run particle minecraft:witch ^ ^0.1 ^-0.7 0 0 0 0 1
execute as @e[tag=testboost3] at @s run particle minecraft:witch ^ ^0.1 ^0.7 0 0 0 0 1
execute as @e[tag=testboost3] at @s run particle minecraft:witch ^ ^0.1 ^-0.7 0 0 0 0 1

execute as @a[tag=boost,scores={boostimer=1}] at @s run playsound block.piston.extend master @a ~ ~ ~ 1 1.1 0
execute as @a[tag=boost,scores={boostimer=1}] at @s run playsound minecraft:entity.firework_rocket.launch master @a ~ ~ ~ 2 0.8 0
execute as @a[tag=boost,scores={boostimer=1}] at @s run playsound minecraft:entity.ender_eye.launch master @a ~ ~ ~ 2 0 0
execute as @a[tag=boost,scores={boostimer=1..}] at @s run particle minecraft:cloud ~ ~ ~ 0 0 0 0 1
execute as @a[tag=boost1,scores={boostimer=1}] at @s run summon armor_stand 68 20 45 {Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Motion:[-2.8,1.1,-1.6],Tags:["boostpad1"],Rotation:[125F,20F]}
execute as @a[tag=boost2,scores={boostimer=1}] at @s run summon armor_stand 30 26 -18 {Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Motion:[0.7,1.1,3.6],Tags:["boostpad2"],Rotation:[-15F,20F]}
execute as @a[tag=boost3,scores={boostimer=1}] at @s run summon armor_stand 53 13 24 {Marker:1b,Invisible:1b,NoBasePlate:1b,PersistenceRequired:1b,Motion:[-0.25,2.9,0.0],Tags:["boostpad3"],Rotation:[90F,-20F]}

execute as @a[tag=boost,scores={boostimer=1}] run effect give @s minecraft:slow_falling 10 0 true
execute as @a[tag=boost] run scoreboard players add @s boostimer 1
execute at @a as @e[type=armor_stand,tag=boostpad1,distance=..5] at @s run tp @a[tag=boost1,limit=1,sort=nearest] ~ ~ ~
execute at @a as @e[type=armor_stand,tag=boostpad2,distance=..5] at @s run tp @a[tag=boost2,limit=1,sort=nearest] ~ ~ ~
execute at @a as @e[type=armor_stand,tag=boostpad3,distance=..5] at @s run tp @a[tag=boost3,limit=1,sort=nearest] ~ ~ ~
execute as @a[tag=boost1,scores={boostimer=30..}] run tag @s add boostEND
execute as @a[tag=boost2,scores={boostimer=33..}] run tag @s add boostEND
execute as @a[tag=boost3,scores={boostimer=31..}] run tag @s add boostEND
execute as @a[tag=boostEND] run scoreboard players set @s boostimer 0
execute as @a[tag=boostEND] at @s run kill @e[tag=boostpad1,sort=nearest,limit=1,distance=..3]
execute as @a[tag=boostEND] at @s run kill @e[tag=boostpad2,sort=nearest,limit=1,distance=..3]
execute as @a[tag=boostEND] at @s run kill @e[tag=boostpad3,sort=nearest,limit=1,distance=..3]
execute as @a[tag=boostEND] run effect clear @s minecraft:slow_falling
execute as @a[tag=boostEND] at @s run tp @s ~ ~0.1 ~
execute as @a[tag=boostEND] run tag @s remove boost
execute as @a[tag=boostEND] run tag @s remove boost1
execute as @a[tag=boostEND] run tag @s remove boost2
execute as @a[tag=boostEND] run tag @s remove boost3
execute as @a[tag=boostEND] run tag @s remove boostEND



#settings
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selname,limit=1,sort=nearest,distance=..2] sGametime 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selname2,limit=1,sort=nearest,distance=..2] sWaittime 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run scoreboard players set @e[type=minecraft:villager,name=selname3,limit=1,sort=nearest,distance=..2] sSpawnrate 1
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^2 run tag @e[type=minecraft:villager,name=return1,limit=1,sort=nearest,distance=..1] add returnMENU
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^3 run tag @e[type=minecraft:villager,name=return1,limit=1,sort=nearest,distance=..1] add returnMENU
execute as @a[scores={sel1=1..}] at @s positioned ^ ^ ^4 run tag @e[type=minecraft:villager,name=return1,limit=1,sort=nearest,distance=..1] add returnMENU

#error sounds when at limit
execute as @e[tag=x,scores={sGametime=10}] if entity @e[type=villager,tag=selUP1b,scores={sGametime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUP1b] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sGametime=10}] if entity @e[type=villager,tag=selUP1b,scores={sGametime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUP1b] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sGametime=1}] if entity @e[type=villager,tag=selDOWN1b,scores={sGametime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWN1b] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sGametime=1}] if entity @e[type=villager,tag=selDOWN1b,scores={sGametime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWN1b] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sWaittime=5}] if entity @e[type=villager,tag=selUP2b,scores={sWaittime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUP2b] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sWaittime=5}] if entity @e[type=villager,tag=selUP2b,scores={sWaittime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUP2b,] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sWaittime=1}] if entity @e[type=villager,tag=selDOWN2b,scores={sWaittime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWN2b] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sWaittime=1}] if entity @e[type=villager,tag=selDOWN2b,scores={sWaittime=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWN2b] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sSpawnrate=3}] if entity @e[type=villager,tag=selUP3b,scores={sSpawnrate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUP3b] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sSpawnrate=3}] if entity @e[type=villager,tag=selUP3b,scores={sSpawnrate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selUP3b,] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0
execute as @e[tag=x,scores={sSpawnrate=1}] if entity @e[type=villager,tag=selDOWN3b,scores={sSpawnrate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWN3b] run playsound minecraft:block.iron_door.close master @a ~ ~ ~ 1 2 0
execute as @e[tag=x,scores={sSpawnrate=1}] if entity @e[type=villager,tag=selDOWN3b,scores={sSpawnrate=1..}] if entity @a[scores={sel1=1..}] at @e[type=villager,tag=selDOWN3b] run playsound minecraft:block.wood.break master @a ~ ~ ~ 1 0 0

scoreboard players set @a sel1 0
execute as @e[tag=x,scores={sGametime=2..}] as @e[type=villager,tag=selDOWN1b,scores={sGametime=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN1,limit=1,sort=nearest] add sA
execute as @e[tag=x,scores={sGametime=..9}] as @e[type=villager,tag=selUP1b,scores={sGametime=1..}] at @s run tag @e[type=armor_stand,tag=selUP1,limit=1,sort=nearest] add sA
execute as @e[tag=x,scores={sWaittime=2..}] as @e[type=villager,tag=selDOWN2b,scores={sWaittime=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN2,limit=1,sort=nearest] add sA
execute as @e[tag=x,scores={sWaittime=..4}] as @e[type=villager,tag=selUP2b,scores={sWaittime=1..}] at @s run tag @e[type=armor_stand,tag=selUP2,limit=1,sort=nearest] add sA
execute as @e[tag=x,scores={sSpawnrate=2..}] as @e[type=villager,tag=selDOWN3b,scores={sSpawnrate=1..}] at @s run tag @e[type=armor_stand,tag=selDOWN3,limit=1,sort=nearest] add sA
execute as @e[tag=x,scores={sSpawnrate=..2}] as @e[type=villager,tag=selUP3b,scores={sSpawnrate=1..}] at @s run tag @e[type=armor_stand,tag=selUP3,limit=1,sort=nearest] add sA

execute as @e[tag=x] if entity @e[type=villager,tag=selUP1b,scores={sGametime=1..}] run scoreboard players add @e[tag=x,scores={sGametime=..9}] sGametime 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWN1b,scores={sGametime=1..}] run scoreboard players remove @e[tag=x,scores={sGametime=2..}] sGametime 1
execute as @e[tag=x] if entity @e[type=villager,tag=selUP2b,scores={sWaittime=1..}] run scoreboard players add @e[tag=x,scores={sWaittime=..4}] sWaittime 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWN2b,scores={sWaittime=1..}] run scoreboard players remove @e[tag=x,scores={sWaittime=2..}] sWaittime 1
execute as @e[tag=x] if entity @e[type=villager,tag=selUP3b,scores={sSpawnrate=1..}] run scoreboard players add @e[tag=x,scores={sSpawnrate=..2}] sSpawnrate 1
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWN3b,scores={sSpawnrate=1..}] run scoreboard players remove @e[tag=x,scores={sSpawnrate=2..}] sSpawnrate 1

execute as @e[tag=x] if entity @e[type=villager,name=selname,scores={sGametime=1..}] run function main:signsettings
execute as @e[tag=x] if entity @e[type=villager,name=selname2,scores={sWaittime=1..}] run function main:signsettings
execute as @e[tag=x] if entity @e[type=villager,name=selname3,scores={sSpawnrate=1..}] run function main:signsettings

execute as @e[tag=x] if entity @e[type=villager,tag=selUP1b,scores={sGametime=1..}] run scoreboard players reset @e[type=villager,tag=selUP1b,scores={sGametime=1..}] sGametime 
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWN1b,scores={sGametime=1..}] run scoreboard players reset @e[type=villager,tag=selDOWN1b,scores={sGametime=1..}] sGametime 
execute as @e[tag=x] if entity @e[type=villager,tag=selUP2b,scores={sWaittime=1..}] run scoreboard players reset @e[type=villager,tag=selUP2b,scores={sWaittime=1..}] sWaittime
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWN2b,scores={sWaittime=1..}] run scoreboard players reset @e[type=villager,tag=selDOWN2b,scores={sWaittime=1..}] sWaittime
execute as @e[tag=x] if entity @e[type=villager,tag=selUP3b,scores={sSpawnrate=1..}] run scoreboard players reset @e[type=villager,tag=selUP3b,scores={sSpawnrate=1..}] sSpawnrate
execute as @e[tag=x] if entity @e[type=villager,tag=selDOWN3b,scores={sSpawnrate=1..}] run scoreboard players reset @e[type=villager,tag=selDOWN3b,scores={sSpawnrate=1..}] sSpawnrate
execute as @e[tag=x] if entity @e[type=villager,tag=return1,tag=returnMENU] run function main:settings1

#selected animation
execute as @e[tag=sA,scores={selAnimation=1}] at @s run playsound ui.button.click master @a ~ ~ ~ 1 1.1 0
execute as @e[tag=selDOWN1,tag=sA,scores={selAnimation=1}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selUP1,tag=sA,scores={selAnimation=1}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selDOWN2,tag=sA,scores={selAnimation=1}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selUP2,tag=sA,scores={selAnimation=1}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selDOWN3,tag=sA,scores={selAnimation=1}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selUP3,tag=sA,scores={selAnimation=1}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=sA] run scoreboard players add @s selAnimation 1
execute as @e[tag=selDOWN1,tag=sA,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selUP1,tag=sA,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selDOWN2,tag=sA,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selUP2,tag=sA,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=selDOWN3,tag=sA,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~-.1
execute as @e[tag=selUP3,tag=sA,scores={selAnimation=5..}] at @s run tp @s ~ ~ ~.1
execute as @e[tag=sA,scores={selAnimation=5..}] at @s run playsound ui.button.click master @a ~ ~ ~ 0.9 1 0
execute as @e[tag=sA,scores={selAnimation=5..}] run tag @s add sA2
execute as @e[tag=sA2] run scoreboard players set @s selAnimation 0
execute as @e[tag=sA2] run tag @s remove sA
execute as @e[tag=sA2] run tag @s remove sA2

#toggle powerups
execute as @e[tag=x,tag=!sPowerups] if block -40 12 39 minecraft:lever[powered=true] run data merge block -40 13 39 {Text3:"{\"text\":\"ON\",\"color\":\"dark_blue\",\"bold\":true}"}
execute as @e[tag=x,tag=!sPowerups] if block -40 12 39 minecraft:lever[powered=true] run playsound minecraft:block.beacon.activate master @a -39 12 39 1 2 0
execute as @e[tag=x,tag=!sPowerups] if block -40 12 39 minecraft:lever[powered=true] run stopsound @a master minecraft:block.beacon.deactivate
execute as @e[tag=x,tag=!sPowerups] if block -40 12 39 minecraft:lever[powered=true] run function main:settings3b
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run data merge block -40 13 39 {Text3:"{\"text\":\"OFF\",\"color\":\"dark_red\",\"bold\":true}"}
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run playsound minecraft:block.beacon.deactivate master @a -39 12 39 1 2 0
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run stopsound @a master minecraft:block.beacon.activate
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run fill -40 14 38 -40 11 33 minecraft:air
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run kill @e[type=armor_stand,tag=setting1]
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run kill @e[type=armor_stand,tag=selUP3]
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run kill @e[type=armor_stand,tag=selDOWN3]
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run execute as @e[type=villager,name=selname3] at @s run tp @s ~ ~-5 ~
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run kill @e[type=villager,name=selname3]

execute as @e[tag=x,tag=!sPowerups] if block -40 12 39 minecraft:lever[powered=true] run tag @s add sPowerups
execute as @e[tag=x,tag=sPowerups] if block -40 12 39 minecraft:lever[powered=false] run tag @s remove sPowerups

#particle effects for altars
execute as @e[tag=text2] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=helpinfo6] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=helpinfo6b] at @s run tp @s ~ ~ ~ ~10 ~
execute as @e[tag=text2] at @s run particle minecraft:witch ^ ^-0.8 ^1.1 0 0 0 0 1
execute as @e[tag=text2] at @s run particle minecraft:witch ^ ^-0.8 ^-1.1 0 0 0 0 1
execute as @e[tag=helpinfo6] at @s run particle minecraft:witch ^ ^-0.8 ^1.1 0 0 0 0 1
execute as @e[tag=helpinfo6] at @s run particle minecraft:witch ^ ^-0.8 ^-1.1 0 0 0 0 1
execute as @e[tag=helpinfo6b] at @s run particle minecraft:portal ^.5 ^2.3 ^ 0 -5 0 0.15 0
execute as @e[tag=helpinfo6b] at @s run particle minecraft:portal ^.5 ^2.0 ^ 0 -5 0 0.15 0



